Bug 82484 - xinetd incorrectly stated as needing to restart for changes to take effect
xinetd incorrectly stated as needing to restart for changes to take effect
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
https://www.redhat.com/docs/manuals/l...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-22 12:45 EST by Karsten Wade
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-11 00:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2003-01-22 12:45:48 EST
Description of problem:
As in Bug 55326, the text states that xinetd must be restarted so that changes
to the settings of an xinetd controlled service can take effect.  This would be
xinetd services edited through chkconfig, ntsysv, serviceconf, or directly to
the configuration files.

Changes to the files in /etc/rcX.d/, /etc/hosts.allow and /etc/hosts.deny take
effect as soon as the file is saved.  This is for new instances of xinetd
services, existing instances would continue to remain persistent.

Version-Release number of selected component (if applicable):
RHL 7.2 rhl-cg

How reproducible:
Always.

Steps to Reproduce:
1. Open document at
https://www.redhat.com/docs/manuals/linux/RHL-7.2-Manual/custom-guide/tcp-wrappers.html
2. Read last paragraph
3. Compare to Bug 55326
    
Actual results:
Misstatement about xineted

Expected results:
Accurate statement about xinetd 

Additional info:
Similar to Bug 55326
Comment 1 Tammy Fox 2003-01-22 13:31:31 EST
How about the following:

The configuration file for xinetd is /etc/xinetd.conf, but you will notice upon
inspection of the file that it only contains a few defaults and an instruction
to include the /etc/xinetd.d directory. To enable or disable a xinetd service,
edit its configuration file in the /etc/xinetd.d directory. If the disable
attribute is set to yes, the service is disabled. If the disable attribute is
set to no, the service is enabled. If you change the disable value, the change
takes place immediately for any new connections. If a service is disabled,
existing connections remain persistent. For a list of network services
controlled by xinetd list of the contents of the /etc/xinetd.d directory with
the command ls /etc/xinetd.d. 
Comment 2 Karsten Wade 2003-01-22 13:49:54 EST
That sounds good, but how about we change the last sentence to read:

For a list of network services controlled by xinetd, list the contents of the 
/etc/xinetd.d directory with the command ls /etc/xinetd.d.


I changed my branch to read the combination of the above and this one.
Comment 3 Tammy Fox 2003-02-11 00:37:23 EST
Great. I'm closing this one out.

Note You need to log in before you can comment on or make changes to this bug.